#include <bits/stdc++.h>

using namespace std;

int main() {
    string s;
    cin>>s;
    reverse(s.begin(), s.end());
    for (int i=0; i<s.size(); i++) {
        if (s[i]=='5'){
            s[i]='2';
        }else if (s[i]=='2'){
            s[i]='5';
        }
    }
    int i=0;
    while (s[i]=='0') {
        i++;
    }
    s.erase(0, i);
    cout<<s;
    return 0;
}
